#!/bin/bash

ARGS=
BLOCK_MODE=0
PYTHON=/usr/bin/python
for i in $@
do
    if [ "$i" == "-b" ] || [ "$i" == "--blockmode" ]; then
        BLOCK_MODE=1
    else
        ARGS="$ARGS $i"
    fi
done

if [ "$(lsb_release -s -c)" = "jammy" ] ; then
    PYTHON=/usr/bin/python3
fi

cd /linuxcash/cash/exchangesystems/exchangers/src/unload/service/cash

if [ $BLOCK_MODE == 1 ]; then
    /usr/bin/setsid $PYTHON startReader.py $ARGS
else
    /usr/bin/setsid $PYTHON startReader.py $ARGS &
    /bin/sleep 3 
fi
